import numpy as np
import matplotlib.pyplot as plt

rngen = np.random.default_rng(12345)

xy = rngen.multivariate_normal([50, 50],
                               [[10**2, -0.5*10**2],
                                [-0.5*10**2, 10**2]],
                               size=100)
                               
z = rngen.normal(50, 10, size=100)

x = xy.T[0] + z - 50
y = xy.T[1] + z - 50

with open('ThreeVars_jp.csv', 'w') as f:
    f.write('"DataN","科目X","科目Y","科目Z"')
    for i, v in enumerate(zip(x, y,z)):
        f.write(f'\n{i+1},{int(v[0])},{int(v[1])},{int(v[2])}')

plt.figure(figsize=(7, 7))
plt.subplot(221)
plt.scatter(x, y)
plt.xlabel('x', fontsize=18)
plt.ylabel('y', fontsize=18)

plt.subplot(222)
plt.scatter(x, z)
plt.xlabel('x', fontsize=18)
plt.ylabel('z', fontsize=18)

plt.subplot(223)
plt.scatter(y,z)
plt.xlabel('y', fontsize=18)
plt.ylabel('z', fontsize=18)

plt.tight_layout()
plt.show()
