import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

in_fn = input('File Name (*.csv) = ')
d_frame = pd.read_csv(in_fn, encoding='shift_jis')
print(d_frame.keys().values)
var_name = input('Variable name = ')
data = d_frame[var_name].values

m = np.mean(data)
v = np.var(data)
uv = np.var(data, ddof=1)
sd = np.std(data)
ssd = np.std(data, ddof=1)
print('平均値   = ', m)
print('分散     = ', v)
print('不偏分散 = ', uv)
print('標準偏差 = ', sd)
print('サンプル標準偏差 = ', ssd)

data_ascend = np.sort(data)
idx_d = np.argsort(-data)     #  dataの値の符号を反転してから昇順に添字を並べる
data_descend = data[idx_d]
v_min = np.amin(data)
q1 = np.percentile(data, 25)
med = np.median(data)
q3 = np.percentile(data, 75)
v_max = np.amax(data)
print('データ       = ', data)
print('順序統計量   = ', data_ascend)
print('降順         = ', data_descend)
print('最小値       = ', v_min)
print('第１四分位数 = ', q1)
print('中央値       = ', med)
print('第３四分位数 = ', q3)
print('最大値       = ', v_max)

plt.hist(data)
plt.xlabel(var_name, fontsize=20)
plt.ylabel('度数', fontsize=20)
plt.tight_layout()
plt.show()
