import numpy as np
import scipy.stats as ss
import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib

in_fn = input('File Name (*.csv) = ')
d_frame = pd.read_csv(in_fn, encoding='shift_jis')
print(d_frame.keys().values)
nm_A = input('Variable Name_1 = ')
nm_B = input('Variable Name_2 = ')
A = d_frame[nm_A].values
B = d_frame[nm_B].values

r = np.corrcoef(A, B)      #    ピアソンの積率相関係数
print('相関係数 = ', r[0][1])

C = np.cov(A, B)
print(C)
print('推定共分散 = ', C[0][1])
n = len(A)
C1 = C * (n-1) / n
print('標本共分散 = ', C1[0][1])

sprmn_r, p_spr = ss.spearmanr(A, B)      #   スピアマンの順位相関係数
print('Spearman = ',sprmn_r, f'   p_value = {p_spr:.5f}')
kndl_tau, p_kndl = ss.kendalltau(A, B)   #   ケンドールの順位相関係数
print("Kendall's tau = ", kndl_tau, f'    p-value = {p_kndl:.5f}')

plt.scatter(A, B)
plt.title(f'r = {r[0][1]:.3f}'.format(r), fontsize=20)
plt.xlabel(nm_A, fontsize=16)
plt.ylabel(nm_B, fontsize=16)
plt.tight_layout()
plt.show()
